<!DOCTYPE html>
<html>
<head>
    <title>JSON to CSV Converter</title>
</head>
<body>
    <h1>JSON to CSV Converter</h1>
    <textarea id="jsonInput" placeholder="Paste or upload JSON data here"></textarea>
    <button id="convertButton">Convert to CSV</button>
    <a id="downloadLink" style="display: none" download="output.csv">Download CSV</a>
    <div id="csvOutput"></div>
    <script src="converter.js"></script>
</body>
</html>
<style>/* Style for the container */
    body {
        font-family: Arial, sans-serif;
        text-align: center;
        background-color: #4ebeef;
        margin: 0;
        padding: 0;
    }
    
    /* Style for the header */
    h1 {
        color: #333;
    }
    
    /* Style for the input textarea */
    #jsonInput {
        width: 80%;
        min-height: 200px;
        padding: 10px;
        font-family: monospace;
        border: 1px solid #ccc;
        border-radius: 5px;
        margin: 20px auto;
    }
    
    /* Style for the convert button */
    #convertButton {
        background-color: #007BFF;
        color: #fff;
        border: none;
        padding: 10px 20px;
        cursor: pointer;
        border-radius: 5px;
        font-size: 16px;
    }
    
    #convertButton:hover {
        background-color: #0056b3;
    }
    
    /* Style for the download link */
    #downloadLink {
        color: #007BFF;
        font-weight: bold;
        text-decoration: none;
    }
    
    /* Style for the CSV output area */
    #csvOutput {
        margin: 20px auto;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        background-color: #fff;
        overflow: auto;
        white-space: pre;
        font-family: monospace;
        width: 80%;
    }
    
    /* Center the content on smaller screens */
    @media (max-width: 768px) {
        #jsonInput, #csvOutput {
            width: 90%;
        }
    }
    </style>